"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _extractHtmlIframeProps = _interopRequireDefault(require("./extractHtmlIframeProps"));

var _HTMLIframe = _interopRequireDefault(require("./HTMLIframe"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * The renderer function for the iframe element. This renderer is fully
 * scalable, and will adjust to `contentWidth` and `computeEmbeddedMaxWidth`.
 * It also features `onLinkPress`.
 *
 * @param htmlAttribs - HTML attributes of the element.
 * @param children - The children (ignored)
 * @param convertedCSSStyles - Inline styles
 * @param passProps - Passed props from the root component.
 *
 * @public
 */
const iframe = function iframe(htmlAttribs, children, convertedCSSStyles, passProps) {
  const props = (0, _extractHtmlIframeProps.default)(htmlAttribs, convertedCSSStyles, passProps);
  return props.WebView ? /*#__PURE__*/_react.default.createElement(_HTMLIframe.default, props) : null;
};

var _default = iframe;
exports.default = _default;
//# sourceMappingURL=iframe.js.map